Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTabletEvent.PointerType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QTabletEvent.PointerType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QTabletEvent

    public static final class QTabletEvent.PointerType

extends java.lang.Enum
implements QtEnumerator

This enum defines what type of point is generating the event.

See also:
  `pointerType()`.

See Also:
  Serialized Form

Field Summary
`static QTabletEvent.PointerType` | `Cursor` Any puck-like device.
`static QTabletEvent.PointerType` | `Eraser` Eraser end of a stylus-like device (the broad end of the pen).
`static QTabletEvent.PointerType` | `Pen` Tip end of a stylus-like device (the narrow end of the pen).
`static QTabletEvent.PointerType` | `UnknownPointer` An unknown device.

Method Summary
`static QTabletEvent.PointerType` | `resolve(int value)` Returns the QTabletEvent$PointerType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTabletEvent.PointerType` | `valueOf(java.lang.String name)`
`static QTabletEvent.PointerType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### UnknownPointer

    public static final QTabletEvent.PointerType UnknownPointer

  An unknown device.

### Pen

    public static final QTabletEvent.PointerType Pen

  Tip end of a stylus-like device (the narrow end of the pen).

### Cursor

    public static final QTabletEvent.PointerType Cursor

  Any puck-like device.

### Eraser

    public static final QTabletEvent.PointerType Eraser

  Eraser end of a stylus-like device (the broad end of the pen).

Method Detail

### values

    public static QTabletEvent.PointerType[] values()

### valueOf

    public static QTabletEvent.PointerType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTabletEvent.PointerType resolve(int value)

  Returns the QTabletEvent$PointerType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD